@echo off

REM Run alpaid with its 7 default parameters (the below is equivalent
REM to a bare bin\alpaid):
bin\alpaid.exe   "-"     "-"   "-"  "-"   "-" "-"  "-"
REM parameters: INFILE OUTFILE POS HEADER SEP QUOT SEED

REM The meaning of the 7 parameters (the hyphens above) is described
REM below in case you need to modify them:
REM
REM     INFILE: input file (a CSV file name should end in .csv)
REM             default (or -): alpaid.csv or alpaid.txt if none
REM     OUTFILE: output file (cannot be the same as the input file)
REM              default (or -): new_INFILE if INFILE has no path
REM     POS: if CSV: column number in which to put the AID or C
REM                  column number 1 puts the AID at the start
REM                  column number 0 puts the AID at the end
REM                  default (or -): C; turns on Canvas mode
REM          if not: S: puts the AID at the start of each line
REM                  E: puts the AID at the  end  of each line
REM                  default (or -): S
REM     HEADER: number of header lines (0-9) followed by field content
REM             default (or -): if CSV: 1AID or 2AIDsort*,0.00 Canvas
REM                                     (AIDsort puts in sort numbers)
REM                             if not: 0
REM     SEP: if CSV: single byte separating CSV fields (like comma)
REM                  default (or -): Comma
REM                  (semicolon makes comma the decimal separator)
REM          if not: string between the AID and the rest of the line
REM                  default (or -): Space
REM          aliases: C=,  S=;  T=Tab  _=Space  H...=-...  N=NIL
REM     QUOT: if CSV: single byte used to quote CSV fields
REM                   default (or -): double-quote
REM           if not: must be omitted or set to -
REM           aliases: D=double quote  S=single quote  H=-
REM     SEED: seed to use for the random number generator (if not 1)
REM           default: 1; creates an unpredictable set of AID strings

REM warn if there was a problem running alpaid
if errorlevel 1 goto errrun

REM Done
echo No errors reported.  Check file new_alpaid.csv for correctness.
pause
goto end

REM Errors
:errrun
echo *** An error occurred.  See above for clues what went wrong.
goto err
:err
pause
echo exit | find "error"

:end
